Name:		fontopia
Version:	1.1
Release:	4%{?dist}
Summary:	The console font editor

Group:		Applications/Productivity
License:	GPLv3+
URL:		https://sites.google.com/site/mohammedisam2000/home/projects
Source0:	https://sites.google.com/site/mohammedisam2000/home/projects/%{name}-%{version}.tar.gz

Requires(post): info
Requires(preun): info
BuildRequires:	gnudos-devel

%description
Fontopia is an easy-to-use, text-based, console font editor.
Fontopia is not only a conversion tool, it includes complete features to
re-size and manipulate glyphs, edit font metrics and other meta-data.
Unlike other console font tools, fontopia works on both PSF 1 & 2, CP and 
Raw fonts. Type conversion is as simple as changing font type in memory and 
saving it to disk in the other version. Fontopia allows exporting and 
importing of Unicode tables from external files or other fonts. It provides
a user-friendly, easy-to-use glyph editor. It can easily change font metrics,
e.g. length, width, height, etc. It performs basic glyph operations like 
inversion, flipping, setting/unsetting bits, and much more. Fontopia is the
first dedicated text-based editor for console fonts.


%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

install -m 0644 -p -D info/fontopia.info* %{buildroot}%{_infodir}/fontopia.info

%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ] ; then
  /sbin/install-info --delete %{_infodir}/%{name}.info* %{_infodir}/dir || :
fi

%files
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/*
%{_docdir}/fontopia
%exclude %{_docdir}/fontopia/COPYING
%license COPYING

%changelog
* Wed Jan 27 2016 Mohammed Isam <mohammed_isam1984@yahoo.com> 1.1-4
- Fixed spec file

* Tue Jan 26 2016 Mohammed Isam <mohammed_isam1984@yahoo.com> 1.1-3
- Fixed spec file 

* Sun Jan 10 2016 Mohammed Isam <mohammed_isam1984@yahoo.com> 1.1-2
- Fixed spec file

* Sat Jan 09 2016 Mohammed Isam <mohammed_isam1984@yahoo.com> 1.1-1
- Included CP files as part of the executable

* Fri Jan 08 2016 Mohammed Isam <mohammed_isam1984@yahoo.com> 1.0-2
- Fixed spec file

* Fri Dec 11 2015 Mohammed Isam <mohammed_isam1984@yahoo.com> 1.0-1
- First release
